Page({
  data: {
    cookdata: [
      {
        name: '新建食谱',
        value: '',
      },
      {
        name: '选择火力',
        value: '小火加热',
      },
      {
        name: '制作时长',
        value: '1小时4分',
      },
    ], 
    showDefinemenuDialog: true,
    dialog_title: '选择火力',
    hotList: [
      {
        name: '智能恒温',
        value: '',
        checked: false,
      },
      {
        name: '小火加热',
        value: '',
        checked: false,
      },
      {
        name: '中火加热',
        value: '',
        checked: true,
      },
      {
        name: '大火加热',
        value: '',
        checked: false,
      },
      {
        name: '全火加热',
        value: '',
        checked: false,
      },
    ],
  },

  onShow() {
    this.setData({
      // hasHiddenTabBar: true,
      message_list: []
    })
    ty.hideMenuButton()     
  },

  radioChange: function (e) {
    console.log(e);
  },

  closeDefinemenuDialog(e) {
    this.setData({
      showDefinemenuDialog: false,
    });
  },

  onClickOverlay() {
    this.setData({
      showDefinemenuDialog: false,
    });
  },
       
})
